CRM Deals
Patch crmdeals lost
PATCH
/
crm
/
deals
/
{id}
/
lost
cURL
curl --request PATCH \
--url https://api.example.com/crm/deals/{id}/lost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lostReasonNote": "<string>",
"lostStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/crm/deals/{id}/lost"
payload = {
"lostReasonNote": "<string>",
"lostStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lostReasonNote: '<string>',
lostStageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/crm/deals/{id}/lost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"pipelineId": "<string>",
"stageId": "<string>",
"ownerId": "<string>",
"companyId": "<string>",
"enteredStageAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"currency": "<string>",
"expectedCloseDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"crmCompanyId": "<string>",
"contactId": "<string>",
"lostReasonNote": "<string>",
"wonAt": "2023-11-07T05:31:56Z",
"lostAt": "2023-11-07T05:31:56Z",
"customFields": {},
"crmCompany": {
"id": "<string>",
"name": "<string>",
"domain": "<string>"
},
"contact": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"stage": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"isWon": true,
"isLost": true,
"winProbability": 123,
"rottingDays": 123
},
"contacts": [
{
"id": "<string>",
"dealId": "<string>",
"contactId": "<string>",
"isPrimary": true,
"createdAt": "2023-11-07T05:31:56Z",
"contact": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
}
],
"owner": {
"id": "<string>",
"email": "<string>",
"givenName": "<string>",
"familyName": "<string>"
},
"isRotting": true
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Path Parameters
Body
application/json
Response
200 - application/json
Available options:
price, competition, timing, no_budget, no_response, feature_missing, other Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
